Loading...
Searching...
No Matches
mac.c File Reference

## Macros

#define | _(String)
#define | MAC_DISK_MAGIC 0x4552
#define | MAC_PARTITION_MAGIC_1 0x5453 /* old */
#define | MAC_PARTITION_MAGIC_2 0x504d
#define | MAC_STATUS_BOOTABLE 8 /* partition is bootable */

## Typedefs

typedef struct _MacDeviceDriver | MacDeviceDriver
typedef struct _MacDiskData | MacDiskData
typedef struct _MacPartitionData | MacPartitionData
typedef struct _MacRawDisk | MacRawDisk
typedef struct _MacRawPartition | MacRawPartition

## Functions

struct | __attribute__ ((packed))
void | ped_disk_mac_done ()
void | ped_disk_mac_init ()
| PT_define_limit_functions (mac)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## MAC_DISK_MAGIC

#define MAC_DISK_MAGIC 0x4552

## MAC_PARTITION_MAGIC_1

#define MAC_PARTITION_MAGIC_1 0x5453 /* old */

## MAC_PARTITION_MAGIC_2

#define MAC_PARTITION_MAGIC_2 0x504d

## MAC_STATUS_BOOTABLE

#define MAC_STATUS_BOOTABLE 8 /* partition is bootable */

## Typedef Documentation

## MacDeviceDriver

typedef struct _MacDeviceDriver MacDeviceDriver

## MacDiskData

typedef struct _MacDiskData MacDiskData

## MacPartitionData

typedef struct _MacPartitionData MacPartitionData

## MacRawDisk

typedef struct _MacRawDisk MacRawDisk

## MacRawPartition

typedef struct _MacRawPartition MacRawPartition

## Function Documentation

## __attribute__()

struct __attribute__ | ( | (packed) |  | ) |

## ped_disk_mac_done()

void ped_disk_mac_done | ( |  | ) |

## ped_disk_mac_init()

void ped_disk_mac_init | ( |  | ) |

## PT_define_limit_functions()

PT_define_limit_functions | ( | mac |  | ) |